summaryrefslogtreecommitdiffhomepage
path: root/once/custom.sh
diff options
context:
space:
mode:
Diffstat (limited to 'once/custom.sh')
-rwxr-xr-xonce/custom.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/once/custom.sh b/once/custom.sh
new file mode 100755
index 0000000..c3d611a
--- /dev/null
+++ b/once/custom.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+if [ -z "$SYSROOT" ]; then
+ echo '$SYSROOT is not set!'
+ exit 2
+fi
+
+if ! [ -d "$SYSROOT" ]; then
+ echo '$SYSROOT does not exist!'
+ exit 2
+fi
+
+mkdir -p "$SYSROOT"/tmp || exit 2
+chmod 0775 "$SYSROOT"/tmp || exit 2
+
+if [ -f /vendor.sh ]; then
+ /vendor.sh
+fi